Summary:	GNOME Shell extension to display system temperature, voltage, and fan speed
Name:		gnome-shell-extension-freon
Version:	58
Release:	2
License:	GPL-2.0-only
Source0:	https://github.com/UshakovVasilii/gnome-shell-extension-freon/archive/EGO-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	b1b8c8724b153fed8f557ee50bcfd7c6
URL:		https://github.com/UshakovVasilii/gnome-shell-extension-freon/wiki
BuildRequires:	glib2
Requires:	gnome-shell >= 45
Requires:	lm_sensors
Recommends:	nvme-cli
BuildArch:	noarch

%description
Freon is a GNOME Shell extension for displaying the temperature of
your CPU, hard disk, solid state, and video card (NVIDIA, Catalyst,
and Bumblebee supported), as well as power supply voltage, and fan
speed. You can choose which HDD/SSD or other devices to include, what
temperature units to use, and how often to refresh the sensors
readout, and they will appear in the GNOME Shell top bar.

%prep
%setup -n %{name}-EGO-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/{glib-2.0/schemas,gnome-shell/extensions/freon@UshakovVasilii_Github.yahoo.com}

cp -a freon@UshakovVasilii_Github.yahoo.com/* \
	$RPM_BUILD_ROOT/%{_datadir}/gnome-shell/extensions/freon@UshakovVasilii_Github.yahoo.com

%{__mv} $RPM_BUILD_ROOT/%{_datadir}/gnome-shell/extensions/freon@UshakovVasilii_Github.yahoo.com/schemas/*.gschema.xml \
	$RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas/
%{__rm} -r $RPM_BUILD_ROOT/%{_datadir}/gnome-shell/extensions/freon@UshakovVasilii_Github.yahoo.com/schemas

%{__mv} $RPM_BUILD_ROOT/%{_datadir}/gnome-shell/extensions/freon@UshakovVasilii_Github.yahoo.com/locale \
	$RPM_BUILD_ROOT%{_datadir}/

%{__mv} $RPM_BUILD_ROOT%{_localedir}/uk{_UA,}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/es{_ES,}

%find_lang freon

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f freon.lang
%defattr(644,root,root,755)
%doc README.md
%{_datadir}/gnome-shell/extensions/freon@UshakovVasilii_Github.yahoo.com
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.sensors.gschema.xml
%changelog
* Mon Jun 23 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-shell-extension-freon.git;a=log;h=master

* Tue Jun 24 2025 Jan Rękorajski <baggins@pld-linux.org> d44ca8d
- fix incorrect locales, rel 2

* Mon Jun 23 2025 Jan Rękorajski <baggins@pld-linux.org> 4d8eff5
- new

